package app.data.entity;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Table(name = "game_info", schema = "public", catalog = "chessleague")
public class GameInfo {
    private Integer id;
    private String chessComId;
    private Game game;
    private String timeControl;
    private String fen;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Basic
    @Column(name = "chess_com_id", length = -1)
    public String getChessComId() {
        return chessComId;
    }

    public void setChessComId(String chessComId) {
        this.chessComId = chessComId;
    }

    @Basic
    @Column(name = "time_control", nullable = false)
    public String getTimeControl() {
        return timeControl;
    }

    public void setTimeControl(String format) {
        this.timeControl = format;
    }

    @Basic
    @Column(name = "fen", nullable = false)
    public String getFen() {
        return fen;
    }

    public void setFen(String fen) {
        this.fen = fen;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        GameInfo that = (GameInfo) o;
        return Objects.equals(id, that.id) && Objects.equals(chessComId, that.chessComId) && Objects.equals(timeControl, that.timeControl);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, chessComId, timeControl);
    }

    @OneToOne(mappedBy = "gameInfo", cascade = CascadeType.ALL)
    public Game getGame() {
        return game;
    }

    public void setGame(Game game) {
        this.game = game;
    }
}
