package app.navigation;

import app.data.service.MatchService;
import app.data.service.MatchdayService;
import app.data.service.SeasonService;
import app.navigation.Navigation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class NavigationService {

    private final SeasonService seasonService;
    private final MatchdayService matchdayService;
    private final MatchService matchService;

    public NavigationService(@Autowired SeasonService seasonService,
                             @Autowired MatchdayService matchdayService,
                             @Autowired MatchService matchService) {
        this.seasonService = seasonService;
        this.matchdayService = matchdayService;
        this.matchService = matchService;
    }

    public Navigation getNewNavigation() {
        return new Navigation(seasonService, matchdayService, matchService);
    }
}
